//加载帖子列表
var msgList = document.getElementById('msgList').innerHTML;

mui.init({
	pullRefresh: { 
			container: '#topiclist',
			down: {callback: pulldownRefresh},
			up: {
				contentrefresh: '正在加载...',
				callback: pullupRefresh
			}
	}
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		var table = document.body.querySelector('.mui-table-view');
		var cells = document.body.querySelectorAll('.mui-table-view-cell');
		for (var i = cells.length, len = i + 3; i < len; i++) {
			var li = document.createElement('li');
			li.className = 'mui-table-view-cell';
			li.innerHTML = '<a class="mui-navigate-right">Item ' + (i + 1) + '</a>';
			//下拉刷新，新纪录插到最前面；
			table.insertBefore(li, table.firstChild);
		}
		mui('#topiclist').pullRefresh().endPulldownToRefresh(); //refresh completed
	}, 1500);
}

/** 			   
 * 上拉加载具体业务实现
 */
var pageNum = 0;
var pageSize = 1;
function pullupRefresh() {
	setTimeout(function() {
		var table = document.body.querySelector('.mui-table-view');
		var cells = document.body.querySelectorAll('.mui-table-view-cell');
		//获得通知列表
		httpAjax('/topic/app/liveList/list',{"pageNum":pageNum,"pageSize":pageSize,"sectionParentName":$("#title").html()},function(data){
			log(JSON.stringify(data));
			var list = data.data.records;
			var Pages = data.data.pages;//总页数
			var Current = data.data.current;//当前页
			pageNum =  Current < Pages ? Current+1 : Current;
			mui('#topiclist').pullRefresh().endPullupToRefresh(Current == Pages); //参数为true代表没有更多数据了。
			//渲染模板
			laytpl(msgList).render(list, function(html){
				$("#content").append(html);  //prepend
			}); 
		});
	}, 1000);
}

if (mui.os.plus) {
	mui.plusReady(function() {
		setTimeout(function() {
			mui('#topiclist').pullRefresh().pullupLoading();
		}, 1000);

	});
} else {
	mui.ready(function() {
		mui('#topiclist').pullRefresh().pullupLoading();
	});
}



/* function detailMsg(id){
 	httpAjax("/topic/read/detail",{"id":id},function(data){
			openHtml("topicDetail.html","topicDetail.html",data.topic,true);
		
	});
 	
 }*/
 
 //传递详情信息
function detailMsg(s){

	
	var detail = [];
	
	var salveDetail = s.split("-:-");
	
	detail.push(salveDetail);
	
	httpAjax('/topic/app/read/detail',{"id":salveDetail[0]},function(data){
	    //log(JSON.stringify(data));
		detail.push(data);
		openHtml('topicDetail.html','topicDetail.html',detail);
	});
	
}

//添加帖子
function add(){
	httpAjax('/section/app/list',"",function(data){
		//log(JSON.stringify(data.data.records));
		openHtml('topicAdd.html','topicAdd.html',data.data);
	});
}
 






















/*mui.plusReady(function(){
     gettopiclist();
});
function gettopiclist(){
	httpAjax("/topic/list","",function(data){
		log(data.httpCode);
		if(data.httpCode==200){
			//log(data.data.records.length); 打印数据库中长度
			
			$.each(data.data.records,function(i,d){
				//log(JSON.stringify(d));  //打印数据库中列表，转换json
				$('#topiclist').append("<li class='mui-table-view-cell mui-media' onclick=topicDetail('"+d.id+"')><a href='javascript:;'><div class='mui-media-body'> <font color='black'>"+d.topicTitle+"</font><p class='mui-ellipsis'> <button type='button'   style='width:45px;height:25px;padding-top:0.5px;padding-left:3px'> <a href='javascript:location.reload();'><font size='1' color='red'>党员论坛</font></a> </button> "+d.topicContents+" · "+d.replyCount+"个回复 · "+d.clickCount+"次浏览 · "+d.createTime+"</p></div></a></li>"); 
			}); 
		}
	}); 
} 

function topicDetail(id){
	//log("id:"+id);
	httpAjax("/topic/read/detail",{"id":id},function(data){
			openHtml("topicDetail.html","topicDetail.html",data.topic,true);
		
	});
} 
 */