//加载收藏列表模板
var collectItem = document.getElementById('collectItem').innerHTML;

mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				callback: pulldown
			},
			up: {
				contentrefresh: '正在加载...',
				callback: pullupRefresh
			}
	}
});

/**
 * 下拉刷新具体业务实现
 */
function pulldown() {
	setTimeout(function() {
		httpAjax('/collect/app/collect/list',{},function(data){
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			//渲染模板
			laytpl(collectItem).render(list, function(html){
				$(".mui-table-view").innerHTML=html; 
			}); 
			$(".articleid").off().on('tap',function(){
				viewArticle($(this).data("artid"));
			});
			
		});
	}, 1000);
}



/** 			   
 * 上拉加载具体业务实现
 */
var pageNum = 0;
function pullupRefresh() {
	setTimeout(function() {
		//获得百宝箱列表
		httpAjax('/collect/app/collect/list',{"createBy": getUserInfo().id,"pageNum":pageNum},function(data){
			var list = data.data.records;
			var Pages = data.data.pages;//总页数
			var Current = data.data.current;//当前页
			pageNum =  Current < Pages ? Current+1 : Current;
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(Current == Pages||Pages<Current); //参数为true代表没有更多数据了。
			//渲染模板
			laytpl(collectItem).render(list, function(html){
				$(".mui-table-view").append(html);  //prepend
			}); 
			$(".articleid").off().on('tap',function(){
				viewArticle($(this).data("artid"));
			});
		});
	}, 1000);
}


//查询详情
function viewArticle(id) { 
	plus.storage.setItem("article_id",id);
	httpAjax("/article/app/detail", {
		"id": id
	}, function(data) {
		openHtml("articleDetail.html", "/pages/cms/articleDetail.html", data)
	});
}

if (mui.os.plus) {
		
	mui.plusReady(function() {
		
		setTimeout(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 1000);
	});
	var btnArray = ['确认', '取消'];
	//第二个demo，向左拖拽后显示操作图标，释放后自动触发的业务逻辑
	$('#OA_task_2').on('slideleft', '.mui-table-view-cell', function(event) {
		var elem = this;
		var articleId=$(this).data("artid");
		mui.confirm('确认删除该条记录？', getUserInfo().userName, btnArray, function(e) {
			if (e.index == 0) {
				httpAjax("/collect/app/cmsCollect/delete",{"articleId":articleId},function(data){
					elem.parentNode.removeChild(elem);
				});
			} else {
				setTimeout(function() {
					mui.swipeoutClose(elem);
				}, 0);
			}
		});
	});
} else {
	mui.ready(function() {
		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}