	//全局的可投票总数：
var	voteTotalNum = 99;
	//全局的投票信息显示方式
var	voteShowType = 4;
//用户id
var accountID = getUserInfo().account_id;
var userName = getUserInfo().user_name;
//console.log(JSON.stringify(getUserInfo()))
var voteID ="";
//console.log(accountID);
//文字未超出3行隐藏显示更多按钮
function getDiscTextHeight() {
	var discTextList = jQuery(".disc-text");
	discTextList.map(function() {
		if(this.offsetHeight >= this.scrollHeight) {
			$(this).parent(".voted-disc").removeClass("hidden-overflow").addClass("no-show-more");
		}
	});
}

//显示更多操作
function addOpenOverflowEvent() {
	$(document).on('tap', '.show-more', function() {
		var $this = jQuery(this);
		if($this.hasClass("on")) {
			$this.removeClass("on");
			$this.parent(".voted-disc").addClass("hidden-overflow");
		} else {
			$this.addClass("on");
			$this.parent(".voted-disc").removeClass("hidden-overflow");
		}
	});
}

//投票操作
function addVoteEvent() {
	$(document).on('tap', '.voteable', function() {
		var $this = jQuery(this);
		if($this.hasClass("voted")) {
			mui.toast("不能重复投票！")
			return;
		} else {
			//投票操作
				var voteId = voteID;
				//console.log(voteId);
				var voteItemId = $this.parents(".mui-table-view-cell").attr("data-id");
			httpAjax("/partyElect/app/electing", {"electId": voteId,"electUserId":accountID,"electItemId":voteItemId,"electUserName":userName }, function(result) {			
//				console.log("---------------------"+JSON.stringify(result));
				var resultStatus = result.data.returnCode;
				if(resultStatus == 0 || resultStatus == 2 ){
					mui.toast(result.data.returnMesg)
				}				
				else if(resultStatus == 1){		
					var numDom = $this.parent(".mui-media-body").find(".voted-num").find(".red");
					numDom.text(parseInt(numDom.text()) + 1);
					$this.removeClass("voteable").addClass("voted").text("已投票");
					showCountAfer();
				}
				
			})			
		}
	});
}

//查看投票说明操作
function viewVoteExplainEvent(voteID) {
	$(document).on('tap', '.view-vote-explain', function() {
		var id = voteID;
		mui.openWindow({
			url: 'excellentExplain.html',
			id: 'excellentExplain.html',
			extras: {
				voteId: voteID
			}
		});
	})
}

//获取投票页面详细信息
function getVoteDetailData(voteId) {
	var voteItemTemp = document.getElementById("voteItemTemp").innerHTML;
	var voteItemList = document.getElementById('voteItems');
	httpAjax("/partyElect/app/read/electRecord", {"electId": voteId,"electUserId":accountID}, function(result) {
//		console.log("************************"+JSON.stringify(result));
		var voteDetail = result.data;
		if(voteDetail.electBaseInfo){
			//console.log(JSON.stringify(result));
		var voteBaseInfo = voteDetail.electBaseInfo;
		var voteItems = voteDetail.items;
		var status = voteBaseInfo.status;
		//全局的可投票总数：
		voteTotalNum = voteBaseInfo.electNum;
		//全局的投票信息显示方式
		voteShowType = voteBaseInfo.showWhen;
		//全局id
		voteID = voteBaseInfo.id;
		$("#info-title").text(voteBaseInfo.name);
		$("#build-org").text(voteBaseInfo.sysDeptName||"");
		$("#start-time").text(getLocalTime(voteBaseInfo.startTime).substring(0,10));
		$("#end-time").text(getLocalTime(voteBaseInfo.endTime).substring(0,10));
		//status -1表示已结束，1表示进行中
		if(status == -1){
			$('#voteItems').addClass("finished");
		}
		else {
			$('#voteItems').removeClass("finished");
		}
		//showWhen ：1 投票前可见；2 投票后可见 3.投票结束后可见 4.不可见		
		laytpl(voteItemTemp).render(voteItems, function(html) {
			voteItemList.innerHTML += html;
			showVoteCount(voteShowType, status);
			getDiscTextHeight();
		});		
		}
		else if(result.data.returnCode == 0){
			mui.toast(result.data.returnMesg);
		}
		
	});
}

//投票总数显示方式
function showVoteCount(type, status) {
	var voteNumDoms = $(".voted-num");
	switch(type) {
		case 1:
			voteNumDoms.show();
			break;
		case 2:
			status == 1 ? showCountAfer() : voteNumDoms.show();//投票结束后直接显示，投票进行中当投票次数使用完显示
			break;
		case 3:
			status == -1 ? voteNumDoms.show() : voteNumDoms.hide();
			break;
		case 4:
			voteNumDoms.hide();
			break;
		default:
			break;
	}
}

//投票后显示总数
function showCountAfer() {
	var votedNum = $(".voted").length;
	if(voteShowType == 2) {
		if(voteTotalNum <= votedNum) {
			$(".voted-num").show();
		}
	}
}