function getSliderData() {
	var url ="/rolls/app/read/list";
	httpAjax(url,"",function(data){
		if(data.httpCode == 200) {
			if(data.data.records){
				var records = data.data.records;
				var imgList = [];
				for(var i=0; i<records.length;i++){
					var imgObj = {
							"imgSrc":records[i].image,
							"articleId":records[i].articleId,
							"code":records[i].code,
							"categoryName":records[i].categoryName,
							"description":records[i].description
						}
					imgList.push(imgObj);
				}
				getSliderimg(imgList);					
			}
		}
	});
 }
		
function getSliderimg(imgList){
	var imgList = imgList;
	var itemList = "",slider_group="",slider_indicator="";
	for(var i=0;i<imgList.length;i++){
		imgList[i].imgSrc = imgList[i].imgSrc;
		itemList += '<div class="mui-slider-item"><a href="#"><img src="' + imgList[i].imgSrc + '" articalid="'+imgList[i].articleId+'" code="'+imgList[i].code+'" categoryName="'+imgList[i].categoryName+'" ><p class="mui-slider-title"></p><p class="mui-slider-title-self">'+imgList[i].description+'</p></a></div>';
		if(i==0){
			slider_indicator += '<div class="mui-indicator mui-active"></div>';					
		}
		else{
			slider_indicator += '<div class="mui-indicator"></div>';					
		}
	}
	var item1='<div class="mui-slider-item mui-slider-item-duplicate"><a href="#"><img src="'+imgList[imgList.length-1].imgSrc+ '" articalid="'+imgList[imgList.length-1].articleId+'" ><p class="mui-slider-title"></p><p class="mui-slider-title-self">'+imgList[imgList.length-1].description+'</p></a></div>';
	var	item2='<div class="mui-slider-item mui-slider-item-duplicate"><a href="#"><img src="'+imgList[0].imgSrc+'" articalid="'+imgList[0].articleId+'" ><p class="mui-slider-title"></p><p class="mui-slider-title-self">'+imgList[0].description+'</p></a></div>';
	//生成html
	slider_group = item1 + itemList + item2;
	document.getElementById("slider-pic").getElementsByClassName("mui-slider-group")[0].innerHTML = slider_group;
	document.getElementById("slider-pic").getElementsByClassName("mui-slider-indicator")[0].innerHTML = slider_indicator;
	//设置轮播相关参数
	$("#allPage").html(imgList.length);
	$("#currentPage").html(1);
	document.querySelector('.czw-lider').addEventListener('slide', function(event) {
	  	var index = event.detail.slideNumber + 1;
	  	$("#currentPage").html(index);
	});
	//轮播点击事件
	mui('.czw-lider').on('tap','img',function(){
		var articleId= this.getAttribute('articalid');
		var code = this.getAttribute("code");
		var categoryName = this.getAttribute("categoryName");
		console.log("code--------------"+code);
//		if(code != 'null'){
//			openHtml("symposium_main.html", "/pages/cms/symposium/symposium_main.html", {code:code,categoryName:categoryName});
//			return;
//		}
		plus.storage.setItem("article_id",articleId);
		httpAjax("/article/app/detail", {
			"id": articleId
		}, function(data) {
			openHtml("articleDetail.html", "/pages/cms/articleDetail.html", data);
		});
	});
	var gallery = mui('.czw-lider');
	gallery.slider({
	  interval:3000//自动轮播周期，若为0则不自动播放，默认为0；
	});
	gallery.slider().gotoItem(0);
}
		
function CheckImgExists(url) {  
	xhr=new plus.net.XMLHttpRequest();
	xhr.onreadystatechange=function(){
	  	if (xhr.readyState==4&&xhr.status == 200) {
	  		return true;
	  	}else{
	  		return false;
	  	}
	};
	xhr.open( "GET", url);
	xhr.send();      
}
	
function isHasImg(pathImg){
    var ImgObj=new Image();
    ImgObj.src= pathImg;
    if(ImgObj.fileSize > 0 || (ImgObj.width > 0 && ImgObj.height > 0)){
   		return true;
 	} else {
   		return false;
    }
}

function getNoticeData(code,callback){
	httpAjax('/article/app/read/list',{"pageSize":5,"code":code},function(data){
		var notices = data.data.records;
		var itemList = '',firstItem = '',lastItem = '';
		if(notices){
			for(var i=0;i<notices.length;i++){
				var notice = notices[i];
				itemList += '<div class="mui-slider-item"><ul class="mui-table-view mui-grid-view n-ul"><li class="mui-table-view-cell mui-media mui-col-xs-12 n-li"><a href="#" class="n-a" data-id="'+notice.id+'"><div class="mui-media-body nbody">'+notice.title+'</div></a></li></ul></div>';
			}
			firstItem = '<div class="mui-slider-item mui-slider-item-duplicate n-item"><ul class="mui-table-view mui-grid-view n-ul"><li class="mui-table-view-cell mui-media mui-col-xs-12 n-li"><a href="#" class="n-a" data-id="'+notices[notices.length-1].id+'"><div class="mui-media-body nbody">'+notices[notices.length-1].title+'</div></a></li></ul></div>';
			lastItem = '<div class="mui-slider-item mui-slider-item-duplicate n-item"><ul class="mui-table-view mui-grid-view n-ul"><li class="mui-table-view-cell mui-media mui-col-xs-12 n-li"><a href="#" class="n-a" data-id="'+notices[0].id+'"><div class="mui-media-body nbody">'+notices[0].title+'</div></a></li></ul></div>';
			var html = firstItem + itemList + lastItem;
			$(".n-notice").html(html);
			//绑定跳转详情
			mui('.n-notice').on('tap','.n-a',function(){
				var id = $(this).data("id");
				httpAjax("/article/app/detail", {"id":id}, function(data) {
					openHtml("articleDetail.html", "/pages/cms/articleDetail.html", data);
				});
			});
			//滚动时间
			if(notices.length > 1){
				var gallery = mui('#n-slider');
				gallery.slider({
				  interval:2000//自动轮播周期，若为0则不自动播放，默认为0；
				});	
				gallery.slider().gotoItem(0);
			}
		}else{
			$(".n-notice").html("暂无数据");
		}
		if(callback){
			callback();
		}
		
	});
}