//页面全局id，用来接收页面没有登录时，触发登陆方法
var HTMLID = "";
(function($, doc) {
	setStatusbarColor();
	/**
	 * 登陆之后重新出发页面的初始化方法
	 */
	function loginBack() {
		if(HTMLID) {
			var page = plus.webview.getWebviewById(HTMLID);
			$.fire(page, "fireLogin");
		}
	}
	//登录
	function login(loginInfo, callback) {
		//本地验证判断逻辑：当前账号 被锁时间 
		if((localStorage.getItem(loginInfo.account+"Date") && localStorage.getItem(loginInfo.account)>=3 && ((Date.parse(new Date()) - localStorage.getItem(loginInfo.account+"Date"))) < 5 * 60 * 1000)){
			mui.toast('错误次数过多,账号已被锁定,请5分钟后再试');
			return;
		}else if((localStorage.getItem(loginInfo.account+"Date") && ((Date.parse(new Date()) - localStorage.getItem(loginInfo.account+"Date"))) >= 5 * 60 * 1000)){
			localStorage.setItem(loginInfo.account,0);
			localStorage.setItem(loginInfo.account+"Date",Date.parse(new Date()));
		}
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		if (loginInfo.password.length == 0 || loginInfo.account.length == 0) {
			return callback('请输入用户名密码');
		}
		if(loginInfo.account.length < 2) {
			return callback('用户名最短为 2 个字符');
		}
		if(loginInfo.password.length < 2) {
			return callback('密码最短为 2 个字符');
		}
		loginInfo.password = loginInfo.password;
		loginInfo.deviceId = plus.push.getClientInfo().clientid;
		loginInfo.isApp = true;
		//loginInfo.__sid = getStorage("$yswl_sid") ? getStorage("$yswl_sid"):"";
		//console.log(JSON.stringify(loginInfo));
		console.log("dengl")
		httpAjax("/appLogin", loginInfo, function(data) {
			console.log("登录结束"+JSON.stringify(data));
			if(data.httpCode == 200) {
				if(!data.locked){ //验证账号是否被锁定
					if(data.accountType == "1"){ //验证是否是管理员登录app
						mui.toast("管理员不可登录");
					}else{
						setStorage("$yswl_password", loginInfo.password);
						setStorage("$yswl_deviceId",loginInfo.deviceId);
	                    //写入缓存
	                    setStorage("$yswl_username", loginInfo.account);
	                    //setStorage("$yswl_sid", data.__sid);
						setStorage("$yswl_sid", data.my_token);
						//setStorage("$yswl_my_token", data.my_token);
						getCurrent(callback);  
					}
                }else{
                	/*******后台锁定的情况下***********/
                    mui.toast("该账号已被锁定,请联系相关人员解除锁定状态"); 
                    var times = parseInt(localStorage.getItem(loginInfo.account));
                    times++;
                    localStorage.setItem(loginInfo.account,times);//设置本地锁次数
                    localStorage.setItem(loginInfo.account+"Date",Date.parse(new Date()));//设置本地锁时间
                    return;
                }
				//登录成功后重置该电脑次数
                localStorage.getItem(loginInfo.account) != null && localStorage.removeItem(loginInfo.account);
                localStorage.getItem(loginInfo.account+"Date") != null && localStorage.removeItem(loginInfo.account+"Date");
                
			} else {
				callback(data.msg);
			}
		},null,null,true,function(){ //锁定用户的回调判定
			
			if(localStorage.getItem(loginInfo.account)){
                //判定时间是否5分钟以内错误三次
                //如果间隔小于5分钟 进行锁定判断
                if((Date.parse(new Date()) - localStorage.getItem(loginInfo.account+"Date")) < 5 * 60 * 1000){
                    var times = parseInt(localStorage.getItem(loginInfo.account));
                    times++;// [2,2+)
                    //连续3次输入错误,该账号将被锁定
                    if(times >= 3){
                        lockUser(loginInfo); 
						localStorage.setItem(loginInfo.account,times);
                    }else{
                        localStorage.setItem(loginInfo.account,times);
						mui.toast("账号或密码错误,连续3次输入错误,该账号将被锁定,错误:"+times+"次");	
                    }
                } 
                //如果间隔大于5分钟 重置所有判定条件
                else{
                    localStorage.setItem(loginInfo.account,1);
                    localStorage.setItem(loginInfo.account+"Date",Date.parse(new Date()));
                }
            }else{
                //已经发起了一次请求,错误,所以这里为1
                localStorage.setItem(loginInfo.account,1);
                //记录第一次错误的时间 之后以该时间作为5分钟判定
                localStorage.setItem(loginInfo.account+"Date",Date.parse(new Date()));
                mui.toast("账号或密码错误,连续3次输入错误,该账号将被锁定,错误:1次");	
            }
		})
	}
	
	//锁定用户账号
	function lockUser(loginInfo){
		console.log("lockuser"); 
		mui.toast("连续3次错误,账号已被锁定"); 
//     	loginInfo.lockAccount = loginInfo.account;
//      httpAjax("/login", loginInfo, function(data){
//      	  console.log(JSON.stringify(data));
//      	  mui.toast("连续3次错误,已被锁定,请联系相关人员进行处理"); 
//            delete loginInfo.lockAccount;
////            localStorage.removeItem(loginInfo.account);	
//            log(JSON.stringify(loginInfo));
//      },null,null,true,function(){
//      		 mui.toast("连续3次错误,账号已被锁定"); 
//      });
	}
	
	function getCurrent(callback){
	
		
		//客户端唯一指向ID
		var cid = '';
		mui.plusReady(function(){
				var info = plus.push.getClientInfo(); 
				//alert( "获取客户端推送标识信息：" );
			    //alert( "token: "+info.token ); 
			    //log( "clientid: "+info.clientid );
			    cid = info.clientid;
			    //alert( "appid: "+info.appid );
			    //alert( "appkey: "+info.appkey );
			    
			    httpAjax("/appuser/user/read/currentWeb", {"cid":cid}, function(data) {
			    	    console.log("current"+JSON.stringify(data))
					if(data.httpCode == 200) {
						//是否注册环信
						//registerIM(data.isIM,data.user.account);
						//写入缓存
						//console.log("loginjs");
						var data = data.data;
						setStorage("$YSWL_PARTY_USER", JSON.stringify(data.user));
						setStorage("$YSWL_PARTY_PERMS", JSON.stringify(data.perms));
						setStorage("$YSWL_PARTY_DEPT", JSON.stringify(data.dept));
						//getUserqxCode(data.dept);
						//getTotalUnreadNumlogin();
						//根据部门id获取区县信息
						
						callback && callback();
						//刷新指定页面
						//plus.webview.getWebviewById("setting.html").reload(true);
						var settingHTML = plus.webview.getWebviewById("setting.html");
						mui.fire(settingHTML,"refreshsetting",{"optionType":"loadData"});
						if(data.user){
									var servicePage = plus.webview.getWebviewById("./homePages/servicePlatform/servicePlatform.html");
									mui.fire(servicePage,"showTaskListContr",{"isRelated":data.user.isRelationAdmin});
						}
					}
				}); 
		}) 
		
		/*httpAjax("/user/read/current", {}, function(data) {
			if(data.httpCode == 200) {
				//写入缓存
				setStorage("$YSWL_PARTY_USER", data.user);
				setStorage("$YSWL_PARTY_PERMS", data.perms);
				callback && callback();
			}
		});*/
	}
	
	//注册环信
	function registerIM(flag,account){
		// [{'name':'nzy','password':123}
		var user = [];
		var detail = {
			"username" : account,
			"password" : '123456',
			"nickname" : account
		}
		user.push(detail);
		if(!flag){ 
			httpAjax("/im/app/user/createIMUser",{"user":JSON.stringify(user)},function(data){
				//成功失败均不做处理  只为异步注册环信 而不影响登陆操作
			});
		}
	}
	
//	function getLoginParam(loginInfo){
//			loginInfo.longitude = loginlatitude;
//			loginInfo.latitude = loginlatitude;
//			console.log(JSON.stringify(loginInfo));
//	}

	$.plusReady(function() {
		$.back=function(){
			clearUserStorage();
			plus.webview.hide(plus.webview.currentWebview());
			//plus.webview.getWebviewById('setting.html').reload(true);
			return ;
		}
		//监听页面请求，传过来的页面id，再返回给页面，
		window.addEventListener("listenLogin", function(e) {
			HTMLID = e.detail.id;
		});
		//获取当前版本号
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			if(inf) {
				var wgtVer = inf.version;
				doc.getElementById("version").innerHTML = wgtVer;
			}
		});
		//竖屏
		plus.screen.lockOrientation("portrait-primary");
		var toMain = function() {
			plus.webview.hide(plus.webview.currentWebview());
		};
		
		var loginButton = doc.getElementById('login');
		var accountBox = doc.getElementById('account');
		var passwordBox = doc.getElementById('password');
		var touristAccess = doc.getElementById('touristAccess');
		var btnForgetPwd = doc.getElementById('btn_forget_password');
		var username = getStorage("$yswl_username");
		if (username != null && username != "null" && username != undefined && username.length > 0) {
			accountBox.value = username;
		}
		if (getStorage("$yswl_password") != null && getStorage("$yswl_password") != "null" && getStorage("$yswl_password") != undefined && getStorage("$yswl_password").length > 0) {
			passwordBox.value = getStorage("$yswl_password");
		}
		loginButton.addEventListener('tap', function(event) {	
			var loginInfo = {
				account: accountBox.value,
				password: passwordBox.value,
				longitude:"",
				latitude :"",
				isApp:true
			};
			getLoginAddress(loginInfo,function(loginInfo){
				//console.log(JSON.stringify(loginInfo));
				login(loginInfo, function(err) {
						if(err) {
							plus.nativeUI.toast(err);
							return;
						}
						toMain();//隐藏当前登录页面
				});	
			});
		});
		
		touristAccess.addEventListener('tap', function(event) {
			clearUserStorage();
			plus.webview.hide(plus.webview.currentWebview());
			//plus.webview.getWebviewById('setting.html').reload(true);
		});
		
		btnForgetPwd.addEventListener('tap', function(event) {
			//$.alert("请联系所在支部管理员", "忘记密码", "确定", null);
			openHtml('password.html','password.html',{title:"找回密码"});
		});
		
		$.enterfocus('#login-form input', function() {
			$.trigger(loginButton, 'tap');
		});
	});
}(mui, document));


(function($){
	window.addEventListener('clearUserInfo',function(event){
		console.log('clear');
		$('#account').val('');
		$('#password').val('');
	},false);
})(jQuery);