//加载消息列表模板
var first = document.getElementById('first').innerHTML; //参与活动
var second = document.getElementById('second').innerHTML; //图文直播
var third = document.getElementById('third').innerHTML; //活动一览

//相关

var url='/partyActivities/app/read/list';

//初始化模板
mui.plusReady(function(){
	activitiesAll();
})

//初始化请求   操作
var pageSizeForYes = 1;
function activitiesAll(){
	
	//获得容器
	var list_0 = $("#list_0");
	var list_1 = $("#list_1");
	var list_2 = $("#list_2");
	
	//初始化请求活动列表  默认请求列表的第一页
	
	
	
	httpAjax('/partyActivities/app/read/activitiesByStatus',{"pageNum":1,"pageSize":pageSizeForYes},function(data){
			
			log(JSON.stringify(data.data));
			var list = data.data.records;
			var Pages = data.data.pages;//总页数
			var Current = data.data.current;//当前页
			//渲染模板
			laytpl(first).render(list, function(html){
				list_0.append(html);  //prepend
			}); 
			
			//初始化请求已处理数据  默认请求已处理的第一页
			httpAjax('/PartyActivitiesLive/app/read/list',{"pageNum":1,"pageSize":pageSizeForYes},function(data){
				var list = data.data.records;
				var Pages = data.data.pages;//总页数
				var Current = data.data.current;//当前页
				//渲染模板
				laytpl(second).render(list, function(html){
					list_1.append(html);  //prepend
				}); 
				
				//三个初始化完成后  再初始化框架
				//initDeptYes(list_0,list_1,list_2);
				
				
				httpAjax(url,{"pageNum":1,"pageSize":pageSizeForYes},function(data){
				var list = data.data.records;
				var Pages = data.data.pages;//总页数
				var Current = data.data.current;//当前页
				//渲染模板
				laytpl(third).render(list, function(html){
					list_2.append(html);  //prepend
				}); 
				
				//三个初始化完成后  再初始化框架
				initDeptYes(list_0,list_1,list_2);
				
			});
				
			});
	});
	
}


//初始化框架
function initDeptYes(list_0,list_1,list_2){
	//默认初始化
	mui.init();
	
	(function($) {
		//阻尼系数
		var deceleration = mui.os.ios?0.003:0.0009;
		$('.mui-scroll-wrapper').scroll({
			bounce: false,
			indicators: true, //是否显示滚动条
			deceleration:deceleration
		});
		$.ready(function() {
			//循环初始化所有下拉刷新，上拉加载。
			$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
				$(pullRefreshEl).pullToRefresh({
					up: {
						callback: function() {
							//alert(index);  //0:未处理   1：已处理
							var self = this;
							setTimeout(function() {
								if(index == 0){
									
									notStart(self,list_0);
								}else if(index==1){
									
									alreadyStart(self,list_1);
								}else{
									
									activitiesAllList(self,list_2);
								}
							}, 1000);
						}
					}
				});
			});
		});
		
	})(mui);
}


//参与活动
var pageNum0 = 2;
function notStart(self,list_0){
	httpAjax('/partyActivities/app/read/activitiesByStatus',{"pageNum":pageNum0,"pageSize":pageSizeForYes},function(data){
		var list = data.data.records;
		var Pages = data.data.pages;//总页数
		var Current = data.data.current;//当前页
		pageNum0 =  Current < Pages ? Current+1 : Current;
		//渲染模板： 由于初始化就请求过一次 ，所以这里如果为1 则表明只有当前这页数据 ，所以就不再进行模板渲染。
		if(pageNum0 != 1){
			laytpl(first).render(list, function(html){
				list_0.append(html); //prepend
			});
		}
		self.endPullUpToRefresh(Current == Pages); //为true表示没有更多数据了
	});
}

//图文直播

var pageNum1 = 2;
function alreadyStart(self,list_1){
	//获得通知列表
	httpAjax('/PartyActivitiesLive/app/read/list',{"pageNum":pageNum1,"pageSize":pageSizeForYes},function(data){
		var list = data.data.records;
		log(JSON.stringify(data));
		var Pages = data.data.pages;//总页数
		var Current = data.data.current;//当前页
		pageNum1 =  Current < Pages ? Current+1 : Current;
		
		//渲染模板： 由于初始化就请求过一次 ，所以这里如果为1 则表明只有当前这页数据 ，所以就不再进行模板渲染。
		if(pageNum1 != 1 ){
			laytpl(second).render(list, function(html){
				//log(html);
				list_1.append(html);  //prepend
			});			
		}
		self.endPullUpToRefresh(Current == Pages); //为true表示没有更多数据了
	});
}

//活动一览

var pageNum2 = 2;
function activitiesAllList(self,list_2){
	//获得通知列表
	httpAjax(url,{"pageNum":pageNum2,"pageSize":pageSizeForYes},function(data){
		var list = data.data.records;
		log(JSON.stringify(data));
		var Pages = data.data.pages;//总页数
		var Current = data.data.current;//当前页
		pageNum2 =  Current < Pages ? Current+1 : Current;
		
		//渲染模板： 由于初始化就请求过一次 ，所以这里如果为1 则表明只有当前这页数据 ，所以就不再进行模板渲染。
		if(pageNum2 != 1 ){
			laytpl(third).render(list, function(html){
				log(html);
				list_2.append(html);  //prepend
			});			
		}
		self.endPullUpToRefresh(Current == Pages); //为true表示没有更多数据了
	});
}

/*function joinActivities(id){
	httpAjax('/partyActivities/read/detail',{"id":id},function(data){
		log(JSON.stringify(data));
		openHtml('activitiesDetail.html','activitiesDetail.html',data);
	});
}
*/
function joinActivities(s){

	
	var detail = [];
	
	var salveDetail = s.split("-:-");
	
	detail.push(salveDetail);
	
	httpAjax('/partyActivities/app/read/detail',{"id":salveDetail[0]},function(data){
	    log(JSON.stringify(data));
		detail.push(data);
		
		openHtml('activitiesDetail.html','activitiesDetail.html',detail);
	});
	
}

function liveActivities(s){

	
	var detail = [];
	
	var salveDetail = s.split("-:-");
	
	detail.push(salveDetail);
	
	httpAjax('/PartyActivitiesLive/app/read/detail',{"id":salveDetail[0]},function(data){
	    //log(JSON.stringify(data.reply[1].id));
		detail.push(data);
		log(JSON.stringify(data));
		openHtml('activitiesLiveDetail.html','activitiesLiveDetail.html',detail);
	});
	
}

function calendarActivities(s){

	
	var detail = [];
	
	var salveDetail = s.split("-:-");
	
	detail.push(salveDetail);
	
	httpAjax('/partyActivities/app/read/detail',{"id":salveDetail[0]},function(data){
	    //log(JSON.stringify(data));
		detail.push(data);
		//log(JSON.stringify(data));
		openHtml('activitiesAll.html','activitiesAll.html',detail);
	});
	
}