//加载消息列表模板
var msgList = document.getElementById('msgList').innerHTML;

mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {callback: pulldownRefresh},
			up: {
				contentrefresh: '正在加载...',
				callback: pullupRefresh
			}
	}
});


/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		var table = document.body.querySelector('.mui-table-view');
		var cells = document.body.querySelectorAll('.mui-table-view-cell');
		for (var i = cells.length, len = i + 3; i < len; i++) {
			var li = document.createElement('li');
			li.className = 'mui-table-view-cell';
			li.innerHTML = '<a class="mui-navigate-right">Item ' + (i + 1) + '</a>';
			//下拉刷新，新纪录插到最前面；
			table.insertBefore(li, table.firstChild);
		}
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
	}, 1500);
}



/** 			   
 * 上拉加载具体业务实现
 */
var pageNum = 1;
var pageSize = 1;
function pullupRefresh() {
	setTimeout(function() {
		var table = document.body.querySelector('.mui-table-view');
		var cells = document.body.querySelectorAll('.mui-table-view-cell');
		//获得通知列表
		httpAjax('/partySalve/app/read/list',{"pageNum":pageNum,"pageSize":1,"id":getUserInfo().id},function(data){
			var list = data.data.records;
			if(list == null || list == ''){
				mui.toast("暂无数据");
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			}
			var Pages = data.data.pages;//总页数
			var Current = data.data.current;//当前页
			pageNum =  Current < Pages ? Current+1 : Current;
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(Current == Pages || Pages == 0); //参数为true代表没有更多数据了。
			//渲染模板
			laytpl(msgList).render(list, function(html){
				$(".mui-table-view").append(html);  //prepend
			}); 
		});
	}, 1000);
}

if (mui.os.plus) {
	mui.plusReady(function() {
		setTimeout(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 1000);

	});
} else {
	mui.ready(function() {
		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}

//传递详情信息
function detailMsg(s){
	
	var detail = [];
	
	var salveDetail = s.split("-:-");
	
	detail.push(salveDetail);
	
	httpAjax('/partySalve/app/read/auditDetail',{"id":salveDetail[0]},function(data){
		log(JSON.stringify(data));
		detail.push(data.data);
		detail.push(data.hasAudit); 
		openHtml('salveDetail.html','salveDetail.html',detail);
	});
	
}


//添加申请救助
function add(){
	openHtml('salveAdd.html','salveAdd.html','');
}
