/* 系统配置 */
var debug = false;
var isTest = true; //false为正式服务器，true为测试服务器
var isLoginLocation = true;///登录时是否开启定位
var isUpdating = false;//记录是否升级
var NETSTATUS = true;//记录当前是否有网络
var tapIndex = 0; //记录index界面的选项卡
//api基础设置
if(isTest) {
	var sharelogo = "http://192.168.1.133/yswl_imgs/sharelogo.png"
	var apiurl = 'http://192.168.1.133/admin'; //测试服务器
	var v2apiprefi = "http://192.168.1.133/zigong";
	var qxurl = v2apiprefi + "/app/v2api/queryDistrictByDeptId/"; //测试
	var upwurl = v2apiprefi + "/app/v2api/updatePassword"; //测试
	var deptAPI = v2apiprefi + "/app/v2api/getBranchListByGeoPosition"; //附近党组织API
	var deptSearchAPI = v2apiprefi + '/app/v2api/findByDeptName'; //附近党组织API
} else {
	var sharelogo = "http://125.67.65.81:8082/yswl_imgs/sharelogo.png"
	var apiurl = 'http://125.67.65.81:8082/admin'; //遂宁云正式服务器
	var v2apiprefi = "http://125.67.65.81:8081/dj-1.0"; //遂宁1.0正式服务器
	var qxurl = v2apiprefi + "/app/v2api/queryDistrictByDeptId/"; //测试
	var upwurl = v2apiprefi + "/app/v2api/updatePassword"; //测试
	var deptAPI = v2apiprefi + "/app/v2api/getBranchListByGeoPosition"; //附近党组织API
	var deptSearchAPI = v2apiprefi + '/app/v2api/findByDeptName'; //附近党组织API
}
//var apiurl = 'http://192.168.1.113/admin';//党建云开发服务器
var apiurl = 'http://192.168.1.88:8989/admin';//党建云开发服务器
//var apiurl = 'http://192.168.1.67:8086/admin';//党建云开发服务器
var v2apiprefi = 'http://192.168.1.88:8888/zigong';//党建云1.0服务
//var v2apiprefi = 'http://192.168.1.67:8080/zigong';//党建云1.0服务器

//加密参数
var firstKey = "yswl";
var secondKey = "jcxf";
var thirdKey = "lzdj";
var shipingCode = "03";

//判定当前系统用于做ios的nav处理
/*说明:特供ios系统  
 *  1.header height:44->60
 *  2.content padding-top:44->60 
 *  3.mui-fullscreen top:44->60
 */
if(mui.os.ios != undefined) {
	if(document.getElementsByClassName("mui-bar-nav")[0] != undefined) {
		document.getElementsByClassName("mui-bar-nav")[0].className += ' mui-bar mui-bar-nav navforIos';
	}
	if(document.getElementsByClassName("mui-content")[0] != undefined) {
		//		var old = document.getElementsByClassName("mui-content")[0].className;
		document.getElementsByClassName("mui-content")[0].className += ' mui-content contentforIos';
	}
	/*if(document.getElementsByClassName("mui-fullscreen")[0] != undefined){
		document.getElementsByClassName("mui-fullscreen")[0].className = 'mui-fullscreen fullscreenforIos';
	}*/
}

/*
 *---------------------------------------------------------------------------------
 * 数据API封装
 * --------------------------------------------------------------------------------
 * */
var httpAjax = function(requrl, params, fnSuc, method, other, lock, lockFn, timeOutTime) {
	var url = apiurl + requrl;
	var args = params || {};
	//检查数据token的值
	var tokenjia = getStorage("$yswl_sid") || "";
	if(tokenjia != "") {
		args.token = tokenjia;
	}
	debugLog(url, args, "[httpAjax]");
	console.log(url+JSON.stringify(args));
	mui.ajax(timestamp(url), {
		data: args,
		dataType: 'jsonp', //服务器返回json格式数据
		type: method || 'post', //HTTP请求类型
		timeout: timeOutTime || 10000, //超时时间设置为10秒；
		crossDomain: true, //强制使用5+跨域
		success: function(data) {
			console.log(JSON.stringify(data));
			//关闭加载框
			plus.nativeUI.closeWaiting();
			//如果是字符串类型，则转化为JSON对象
			if(data && Object.prototype.toString.call(data) === "[object String]")
				data = JSON.parse(data);
			//服务器返回响应，根据响应结果，分析是否成功；
			if(data.httpCode == 401) {
				//账号在其他设备登录关闭当前页面、清除登录信息、打开登录界面、清除推送显示消息数量
				setTimeout(function() {
					var ws = plus.webview.currentWebview();
					plus.webview.close(ws, "none");
				}, 1000);
				//console.log(data.msg)
				mui.toast("请求失败：您还没有登录，请先登录");
				clearUserStorage();
				setPushNum(0)
				plus.webview.open("/login.html", "login.html");
				return;
			} else if(data.httpCode == 303) {
				mui.toast("您的账号已在其他设备登录，如有疑问请联系管理员");
				return;
			}
			//三会一课会议开始1小时后修改错误提示
			else if(data.httpCode == 423) {
				console.log("开始前一小时："+JSON.stringify(data) + data.msg + data.msg.indexOf("报名"));
				if(data.msg.indexOf("报名") >=0 ){
					mui.toast("修改失败，当前时间已超过报名截止时间");
				}
				else{
					mui.toast("请求失败：会议开始前1小时内不能修改会议");
				}	
				return;
			}
			else if(data.httpCode == 410) {
				mui.toast("该数据已被删除");
				return;
			}
			if(lock) {
				if(data.httpCode == 200) {
					fnSuc && fnSuc(data, other);
				} else if(data.httpCode == 400 && data.msg.indexOf("您的登录数据异常，同时存在多条记录，请联系管理员进行处理") != -1) {
					//console.log("请求失败的提示" +data.httpCode )
					mui.toast("请求失败：" + data.msg);
				} else if(data.httpCode == 400 && data.msg.indexOf("账号不存在") != -1){
						mui.toast("账号不存在,登录失败！");
						return;
				}
				else {
					lockFn != undefined && lockFn();
				}
			} else {
				if(data.httpCode == 200) {
					fnSuc && fnSuc(data, other);
				}
				else {
					if(data.msg.indexOf("登录失败")>0 &&data.httpCode == 400 ){
						mui.toast("账号或密码错误");
					}
					else if(data.httpCode == 400 && data.msg.indexOf("该评论不存在") != -1){
						mui.toast("请求失败：数据不存在" );
					}
					else if(data.httpCode == 413){
						mui.toast("该栏目不存在或已删除！");
						return false;
					}
					else{
						console.log("请求失败的状态码："+data.httpCode);
						mui.toast("请求失败：" + data.msg);
					}						
				}
			}
		},
		error: ajaxErrorCommon,
		beforeSend: beforeSendCommon
	});
}

/**
 *
 * @param xhr xhr实例对象
 * @param type 错误描述，可取值："timeout", "error", "abort", "parsererror"、"null"
 * @param errorThrown 可捕获的异常对象
 */
function ajaxErrorCommon(xhr, type, errorThrown) {
	//关闭加载框
	//console.log(type);
	plus.nativeUI.closeWaiting();

	if(type === "abort") {
		//异常处理；
		mui.toast("网络断开，请检查是否已经连上网络");
	}

	if(type === "timeout") {
		//异常处理；
		mui.toast("请求超时,请重试");
	}

	if(type === "error") {
		//session过期处理；
		if(xhr.status == 405) {
			plus.webview.close(plus.webview.currentWebview());
			mui.toast("会话超时,请重新登录");
			clearUserStorage();
			setPushNum(0)
			plus.webview.open("/login.html", "login.html");
			//			openHtml("login.html", "/login.html");
		}
	}

	if(type === "parsererror") {
		//异常处理；
		mui.toast("解析错误");
	}

	if(type === "null") {
		//异常处理；
		mui.toast("服务器错误");
	}
}
/**
 * 发送前处理
 */

function beforeSendCommon(evt, request, settings) {
	//显示等待框token
	showWaiting();
	//给请求添加公共参数
	var sid = getStorage("$yswl_sid") || "";
	if(sid) {

		evt.setRequestHeader("SID", sid);
	}
}

//通过部门id获取并保存区县code
function getUserqxCode(departID) {
	//console.log("departID"+departID);
	var queryqx = qxurl + departID;
	mui.ajax(queryqx, {
		data: "",
		dataType: 'jsonp', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		crossDomain: true, //强制使用5+跨域
		headers: {
			'Content-Type': 'application/json'
		},
		success: function(data) {
			//data = {"status":200,"data":"","msg":"获取成功"};
			//console.log("qxcode:"+data)
			data = JSON.parse(data);
			if(data.status == 200) {
				//console.log("quxian"+ JSON.stringify(data));
				setStorage("$YSWL_PARTY_USER_QXCODE", data.data);
			}
		},
	});
}

/*
 *时间戳 日期转化
 */

//function getLocalTime(nS) {
// return new Date(parseInt(nS)).toLocaleString().replace(/:\d{1,2}$/,' ');     
//}  

/*
 *---------------------------------------------------------------------------------
 * 自定义函数
 * --------------------------------------------------------------------------------
 * */
function loginout() {
	//服务器退出
	var sid = getStorage("$yswl_sid") || "";
	var loginWV = plus.webview.getWebviewById('login.html');
	//隐藏任务清单模块
	var servicePage = plus.webview.getWebviewById("./homePages/servicePlatform/servicePlatform.html");	
	//console.log(loginWV);
	mui.fire(loginWV, 'clearUserInfo', null);
	if(sid) {
		httpAjax("/appLogout", "", function(data) {
			closeWaiting();
			//刷新本页
			//plus.webview.currentWebview().reload();
			clearUserStorage();
			//退出登录，隐藏任务清单模块
			mui.fire(servicePage,"showTaskListContr",{"isRelated":false});
		});
		clearUserStorage();
		setPushNum(0)
		closeWaiting();
		//退出登录，隐藏任务清单模块
		mui.fire(servicePage,"showTaskListContr",{"isRelated":false});
		//刷新本页
		//plus.webview.currentWebview().reload();
	} else {
		clearUserStorage();
		setPushNum(0)
		//刷新本页
		//plus.webview.currentWebview().reload();
		//返回登录界面
		openHtml("login.html", "/login.html");
		//退出登录，隐藏任务清单模块
		mui.fire(servicePage,"showTaskListContr",{"isRelated":false});
	}
}

function redirectToMain() {
	var wvs = plus.webview.all(); //所有窗口对象
	var launch = plus.webview.getLaunchWebview(); //首页窗口对象
	var self = plus.webview.currentWebview(); //当前窗口对象
	for(var i = 0, len = wvs.length; i < len; i++) {
		log(wvs[i].id)
		// 首页以及当前窗口对象，不关闭；
		if(wvs[i].id === launch.id || wvs[i].id === self.id) {
			continue;
		} else {
			wvs[i].close('none'); //关闭中间的窗口对象，为防止闪屏，不使用动画效果；
		}
	}
	// 此时，窗口对象只剩下首页以及当前窗口，直接关闭当前窗口即可；
	self.close('slide-out-right');
}
//清理用户缓存信息
function clearUserStorage() {
	removeStorage("$yswl_sid");
	removeStorage("$YSWL_PARTY_USER");
	removeStorage("$YSWL_PARTY_DEPT");
	removeStorage("$yswl_deviceId");
	removeStorage("$yswl_password");
	removeStorage("$yswl_username");
	removeStorage("$yswl_my_token");
	removeStorage("$CID");
	var settingHTML = plus.webview.getWebviewById("setting.html");
	mui.fire(settingHTML,"refreshsetting",{"optionType":"clear"});
	var loginHTML = plus.webview.getWebviewById("login.html");
	mui.fire(loginHTML,"refreshlogin",{"optionType":"clear"})
}
//检查登录状态
function checkLogin(func) {
	var sid = getStorage("$yswl_sid") || "";
	if(sid) {
		func && func(true);
	} else {
		var btnArray = ['知道了', '去登录'];
		mui.confirm('您需要登录了才能使用该功能', '', btnArray, function(e) {
			if(e.index == 1) {
				loginDisappears();
			}
		})
		func && func(false);
	}
}

//获取用户信息
function getUserInfo() {
	var userInfo = getStorage("$YSWL_PARTY_USER") || "";
	//console.log(userInfo);
	if(userInfo) {
		return JSON.parse(userInfo);
	}
	return "";
}

function getUserDept() {
	var deptInfo = getStorage("$YSWL_PARTY_DEPT") || "";
	if(deptInfo) {
		return JSON.parse(deptInfo);
	}
	return "";
}

//检查对象的字段中，是否有undefined,替换为""
function checkVals(obj) {
	if(obj) {
		for(var p in obj) {
			if(typeof(p) != "function") {
				var val = obj[p];
				if("undefined" == val || typeof(val) == "undefined") {
					obj[p] = "";
				}
			}
		}
	}
	return obj;
}

//给URL加上时间戳
function timestamp(url) {
	var getTimestamp = new Date().getTime();
	if(url.indexOf("?") > -1) {
		url = url + "&timestamp=" + getTimestamp
	} else {
		url = url + "?timestamp=" + getTimestamp
	}
	return url;
}

/*
 *---------------------------------------------------------------------------------
 * 封装local Storage
 * --------------------------------------------------------------------------------
 * */

//根据key获取local Storage
function getStorage(key) {
	return localStorage.getItem(key);
}

//判断登录状态
function isLogined() {
	var sid = getStorage("$yswl_sid");
	if(sid && sid != "" && sid != null && sid != undefined)
		return true;
	else return false;
}

//存储local Storage(本地只能存储string类型，如需要存储对象，使用JSON转换)
function setStorage(key, val) {
	if(typeof val != 'string') {
		val = JSON.stringify(val);
	}
	try {
		localStorage.setItem(key, val);
	} catch(e) {
		alert("请关闭无痕模式，否则系统无法登陆")
	}

}

//根据key删除local Storage
function removeStorage(key) {
	localStorage.removeItem(key);
}

//清除应用所有的键值对存储数据(慎用)
function clearStorage() {
	localStorage.clear();
}

//打印调试信息
function log(str) {
	if(debug) {
		console.log(JSON.stringify(str));
	}
}

/**
 * 判断对象不为空
 * @param obj
 * @returns {boolean}
 */
var isNotNull = function(obj) {
	if(typeof obj != "undefined" && obj != null && obj != '') {
		return true;
	} else {
		return false;
	}
}

/**
 * 给同一个class绑定点击事件
 * @param className
 * @param callback
 */
var bindEventByClassName = function(className, callback) {
	mui.each(document.querySelectorAll(className), function(i, o) {
		o.addEventListener('tap', callback);
	})
}
/**
 * 根据id绑定事件
 * @param id
 * @param callback
 */
var bindEventById = function(id, callback) {
	document.getElementById(id).addEventListener('tap', callback);
}

/**
 * 页面返回事件
 */
var bindBackPageEventById = function(id) {
	document.getElementById(id).addEventListener("tap", function() {
		mui.back();
	});
}
/** 
 * 将数值四舍五入(保留2位小数)后格式化成金额形式
 * @param num 数值(Number或者String)
 * @return 金额格式的字符串,如'1,234,567.45'
 * @type String
 * @ 作者 啸
 */

var formatCurrency = function(num) {
	num = num || 0;
	num = num.toString().replace(/\$|\,/g, '');
	if(isNaN(num))
		num = "0";
	sign = (num == (num = Math.abs(num)));
	num = Math.floor(num * 100 + 0.50000000001);
	cents = num % 100;
	num = Math.floor(num / 100).toString();
	if(cents < 10)
		cents = "0" + cents;
	for(var i = 0; i < Math.floor((num.length - (1 + i)) / 3); i++)
		num = num.substring(0, num.length - (4 * i + 3)) + ',' +
		num.substring(num.length - (4 * i + 3));
	return(((sign) ? '' : '-') + num + '.' + cents);
}

/**
 * 跳转页面
 * @param id 页面标识
 * @param url 页面url
 * @param data 附加数据
 * @param isNeedLogin 是否要验证登录状态 
 * @param style 打开页面的样式
 * @param aniShow 进入页面的方式
 */
function openHtml(id, url, data, isNeedLogin, style, aniShow, isAutoShow) {
	aniShow = aniShow || "";
	style = style || {};
	if(isNeedLogin) {

		checkLogin(function(flag) {
			if(flag) {
				data = data || {};
				mui.openWindow({
					id: id,
					url: url,
					styles: style,
					show: {
						aniShow: aniShow
					},
					extras: {
						data: data
					},
					waiting: {
						autoShow: false
					}
				});
			}
		});
	} else {
		data = data || {};
		mui.openWindow({
			id: id,
			url: url,
			styles: style,
			show: {
				aniShow: aniShow,
				autoShow: isAutoShow === false ? false : true
			},
			extras: {
				data: data
			},
			waiting: {
				autoShow: isAutoShow === false
			}
		});
	}
}

//参数为true代表没有更多数据了。
var nomore = function() {
	mui('#pullrefresh').pullRefresh().endPulldownToRefresh(true);
	mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
}

/**
 * 上拉下拉后必须执行的操作
 * @param flag true 上拉刷新操作  false 下拉刷新操作
 */
var flush = function(flag) {
	flag = flag || false;
	if(flag) {
		mui('#pullrefresh').pullRefresh().endPullupToRefresh();
	} else {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
	}
}

/**
 * 如果页面上没有显示数据则加上相应的提示
 */
var noData = function(view, findelm) {
	var divSize = view.find(findelm);
	if(divSize.length > 0) {
		mui.toast("没有更多数据");
	} else {
		var HTML = "";
		view.append("<div id='noDataDiv' class='item-logo'><span></span><a href='#'>没有相关内容</a>" + HTML + "</div>");
	}
}
/**
 * 移除没有数据的div提示
 */
var removeNoData = function() {
	$("#noDataDiv").remove();
}

//上拉下拉刷新功能重置
var reopenfresh = function() {
	mui('#pullrefresh').pullRefresh().refresh(true);
	mui('#pullrefresh').pullRefresh().endPullupToRefresh((false));
}

/**
 *修改状态栏颜色
 */
function setStatusbarColor() {
	// 设置系统状态栏背景色
	mui.plusReady(function() {
		plus.navigator.setStatusBarBackground("#df3434");
	});
}

/**
 * 组装url
 * @param furl
 * @param param
 * @returns {string|*}
 */
function debugLog(furl, param, str) {
	if(!debug) {
		return;
	}
	if(furl.indexOf("?") > -1) {
		furl = furl + "&";
	} else {
		furl = furl + "?";
	}
	mui.each(param, function(key, val) {
		furl += (key + "=" + val + "&");
	});
	var getTimestamp = new Date().getTime();
	furl += ("timestamp=" + getTimestamp);
	log(furl);
}

//拨打电话
function toDial(mobile, cof) {
	if(mobile) {
		plus.device.dial(mobile, cof);
	} else {
		mui.toast("未获取到号码");
	}
}
//用户登录状态消失后
function loginDisappears() {
	var loginPage = plus.webview.getWebviewById("login.html");
	if(loginPage) {
		loginPage.show();
	} else {
		openHtml("login.html", "/login.html");
	}
}

//自定义等待样式
function showWaiting(msg) {
	plus.nativeUI.closeWaiting();
	//	var message = msg || "拼命加载中...";
	//	var options = new Object();
	//	options.background = "rgba(255,255,255,0)";
	//	options.color = "rgba(0,0,0,0.8)";
	//	var loadOption = new Object();
	//	loadOption.icon = "_www/images/load/defaultloading.png"
	//	loadOption.interval = 100;
	//	options.loading = loadOption;
	//	plus.nativeUI.showWaiting(message, options);
	plus.nativeUI.showWaiting();
}
//关闭等待框
function closeWaiting() {
	plus.nativeUI.closeWaiting();
}
//时间戳转换为日期格式
function getLocalTime(jsondate, isNoSec) {
	//console.log("ss"+isNoSec)
	var date = new Date(parseInt(jsondate));
	// date = JSON.stringify(date).replace("Z", " UTC");
	//console.log("时间："+ JSON.stringify(date));
	//console.log("日期："+ JSON.stringify(date.getDate()));
	var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
	var currentDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
	var hour = date.getHours() < 10 ? "0" + date.getHours() : date.getHours();
	var minute = date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();
	var second = date.getSeconds() < 10 ? "0" + date.getSeconds() : date.getSeconds();
	if(isNoSec) {
		var strDate = date.getFullYear() + "-" + month + "-" + currentDate + " " + hour + ":" + minute;
	} else {
		var strDate = date.getFullYear() + "-" + month + "-" + currentDate + " " + hour + ":" + minute + ":" + second;
	}
	/*var strDate = date.getFullYear() + "-" + month + "-" + currentDate;*/
	return strDate;
}

function formateLoacaDate(jsondate){
		//console.log("ss"+isNoSec)
	var date = new Date(parseInt(jsondate));
	// date = JSON.stringify(date).replace("Z", " UTC");
	//console.log("时间："+ JSON.stringify(date));
	//console.log("日期："+ JSON.stringify(date.getDate()));
	var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
	var currentDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
	var hour = date.getHours() < 10 ? "0" + date.getHours() : date.getHours();
	var minute = date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();
	var second = date.getSeconds() < 10 ? "0" + date.getSeconds() : date.getSeconds();
	var strDate = date.getFullYear() + "-" + month + "-" + currentDate;
	/*var strDate = date.getFullYear() + "-" + month + "-" + currentDate;*/
	return strDate;
}

/*
 * js里动态引入js文件
 * 避免在每个页面再添加相应的js文件
 * @param src
 * @param callback
 */
function loadJs(src, callback) {
	var script = document.createElement("script");
	script.type = "text/javascript";
	script.src = src;
	document.getElementsByTagName('head')[0].appendChild(script);
	if(callback)
		setTimeout(callback, 100);
}

function trim(str) {　　
	return str.replace(/(^\s*)|(\s*$)/g, "");　　
}

//日期 xxxx-x-xx
function GetDateStr(AddDayCount) {
	var dd = new Date();
	dd.setDate(dd.getDate() + AddDayCount); //获取AddDayCount天后的日期 
	var y = dd.getFullYear();
	var m = dd.getMonth() + 1; //获取当前月份的日期 
	var d = dd.getDate();
	return y + "-" + m + "-" + d;
}

var stepTime = 10000; //计时周期，毫秒
var setLocalData = function(key, value) { //设置localStorage
	if(window.localStorage && key && value) {
		window.localStorage[key] = JSON.stringify(value);
		return true;
	} else {
		return false;
	}
}
var getLocalData = function(key) { //取localStorage值
	var tmp = window.localStorage[key];
	if(tmp)
		return JSON.parse(tmp);
	else
		return false;
}
var checkAndSubmitTime = function() {
	var STD = getLocalData('STD');
	if(STD) {
		console.log('submitTime');
		httpAjax('/learnStatistics/app/add', STD, function(data) {
			//console.log(JSON.stringify(data));
			window.localStorage.removeItem('STD');
		}, 'post');
	}
}
var checkAndSubmitVTime = function() {
	var VTD = getLocalData('VTD');
	var userId = getUserInfo().account_id;
	if(VTD && (userId || userId === '0')) {
		//console.log('submitVTime');
		console.log(JSON.stringify(VTD[userId])+"time");
		httpAjax('/learnStatistics/app/addTimeToVideo', VTD[userId], function(data) {
			console.log(JSON.stringify(data));
		}, 'post');
	}
}
var timer = null; //计时器
var startTiming = function(category) {
	window.clearInterval(timer);
	timer = window.setInterval(function() {
		var td = getLocalData('STD');
		if(!td) {
			td = {};
		}
		td[category] = td[category] ? (parseInt(td[category]) + stepTime) : stepTime;
		setLocalData('STD', td);
		//console.log(JSON.stringify(td));
	}, stepTime);
}
var videoTiming = function(category, time) { //如果拖动返回拖动前时间,正常播放返回false;
	var td = getLocalData('VTD');
	var userId = getUserInfo().account_id;
	if(!td) {
		td = {};
		td[userId] = {};
		td[userId][category] = 0;
	}
	if(!td[userId]) {
		td[userId] = {};
	}
	var nowTime = parseInt(time.toString().split('.')[0]) * 1000;
	td[userId][category] = nowTime;
	setLocalData('VTD', td);
	return false;
}

function formatSeconds(value) { //毫秒转小时分秒
	var theTime = parseInt(value / 1000); // 秒
	var theTime1 = 0; // 分
	var theTime2 = 0; // 小时
	if(theTime > 60) {
		theTime1 = parseInt(theTime / 60);
		theTime = parseInt(theTime % 60);
		if(theTime1 > 60) {
			theTime2 = parseInt(theTime1 / 60);
			theTime1 = parseInt(theTime1 % 60);
		}
	}
	var result = "" + parseInt(theTime) + "秒";
	if(theTime1 > 0) {
		result = "" + parseInt(theTime1) + "分" + result;
	}
	if(theTime2 > 0) {
		result = "" + parseInt(theTime2) + "小时" + result;
	}
	return result;
}

function formatTimeForMeeting(value) { //分钟转小时分
	var theTime = parseInt(value); // 单位:分钟
	var hour = 0,
		min = 0;
	if(theTime > 60) {
		hour = parseInt(theTime / 60);
		min = parseInt(theTime % 60);
		return hour + '小时' + (min ? (min + '分钟') : '');
	} else {
		return theTime + '分钟';
	}
}

function formatToSHours(value) {
	return((parseInt(value) * 1.5) / 3600000).toFixed(2);
}

function getWeekST(obj) {
	var arr = [],
		t, flag = false;
	for(t in obj) {
		arr.push((obj[t] * 1.5 / 3600000).toFixed(2));
		flag = true;
	}
	return flag ? arr : [0, 0, 0, 0, 0, 0, 0, 0];
}

function loadImage(obj, callback) {
	var img = new Image();
	img.onload = function() {
		if(callback) {
			callback(obj);
		}
	};
	img.src = obj.image;
}

function getVedioTime(seconds) {
	var s = parseInt(seconds);
	var t;
	if(s > -1) {
		var hour = Math.floor(s / 3600);
		var min = Math.floor(s / 60) % 60;
		var sec = s % 60;
		if(hour < 10) {
			t = '0' + hour + ":";
		} else {
			t = hour + ":";
		}

		if(min < 10) {
			t += "0";
		}
		t += min + ":";
		if(sec < 10) {
			t += "0";
		}
		t += sec;
	}
	return t;
}

//*****支付模块*****//
//获取微信所需信息 
//time为所交月份
//cost为需交纳党费金额
//isCentraliz:1为集中交纳,0为个人交纳
//memberList 集中交纳时填
var getInfoWX = function(time, cost, isCentraliz, memberList) {
	var user = getUserInfo();
	var param = {
		"accountId": user.account_id,
		"userAccount": user.user_account,
		"phone": user.phone,
		"deptId": user.deptId,
		"yearMonth": '2017-02',
		"cost": 1,
		"payType": 2,
		"isCentraliz": isCentraliz ? isCentraliz : 0
	};
	if(isCentraliz) {
		param.memberList = JSON.stringify(memberList);
	} else {
		param.memberList = [].toString();
	}
	return param;
}
//调用微信支付接口
var toWXPay = function(param, callback) {
	var PAYSERVER = apiurl + "/pay/app/read/doPay";
	//新加接口
	//var PAYSERVER="http://192.168.1.51:8080/admin/pay/app/read/doPay";
	//var PAYSERVER="http://192.168.1.51:8080/admin/weiXin/app/read/sign";
	//	var PAYSERVER = 'http://192.168.1.51:8081/swdx/app/wxpay/sign';
	//	var PAYSERVER = 'http://zhanghan.iask.in:12109/swdx/app/wxpay/sign';
	//console.log(JSON.stringify(param));
	//console.log(PAYSERVER);
	var channel = null;
	plus.payment.getChannels(function(channels) {
		for(var i in channels) {
			if(channels[i].id == "wxpay") {
				channel = channels[i];
			}
		}
	}, function(e) {
		alert("获取支付通道失败：" + e.message);
	});
	mui.ajax(PAYSERVER, {
		data: param,
		dataType: 'json', //服务器返回json格式数据
		contentType: 'application/json',
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		crossDomain: true, //强制使用5+跨域
		success: function(data) {
			//console.log(data);
			log(data);
			if(data.status == 1) {
				mui.toast(data.msg);
				return;
			}
			plus.payment.request(channel, JSON.stringify(data.data), function(result) {
				callback && callback(result);
				plus.nativeUI.alert("支付成功！", function() {
					back();
				});
			}, function(error) {
				plus.nativeUI.alert("支付失败：" + error.code + ' 原因：' + error.message);
				//console.log(error.message);
			});
		},
		error: function(xhr, type, errorThrown) {
			//console.log(xhr.status);
			//console.log(type);
			//console.log(errorThrown);
		}
	});
}

//支付宝
var toAlipay = function(param, callback) {
	var PAYSERVER = apiurl + "/pay/app/read/doPay";
	var channel = null;
	plus.payment.getChannels(function(channels) {
		//获取支付通道
		for(var i in channels) {
			if(channels[i].id === 'alipay') {
				channel = channels[i];
				break;
			}
		}
		//没有查询到“想要”的支付通道
		if(channel == null) {
			mui.toast("获取支付通道失败.");
			return;
		} else {
			callback && callback(1);
			/*mui.ajax(PAYSERVER,{
				data: param,
				dataType: 'json', 
				contentType:'application/json',
				type: 'post', 
				timeout: 10000, 
				crossDomain: true,
				success:function(data){
					//console.log(data);
	                plus.payment.request(channel,JSON.stringify(data.data),function(result){  
	                	callback && callback(result);
	                    plus.nativeUI.alert("支付成功！",function(){  
	                    	back();  
	                	});  
	                },function(error){  
	                    plus.nativeUI.alert("支付失败：" + error.code+' 原因：' + error.message );
	                    console.log(error.message);
	                });  
				},
				error: function(xhr, type, errorThrown){
					console.log(xhr.status);
					console.log(type);
					console.log(errorThrown);
				}
			});	*/
		}
	}, function(e) {
		mui.toast("获取支付通道失败：可能未安装相关支付软件.");
	});
}

//线下支付公共方法
function linepayment(accountId, actualPayDues, orderNum, partyDuesType, paymentMethod, paymentType, deptId, memberList, callback) {
	//组织数据   organizing data
	var param = {
		"deptId": deptId,
		"accountId": accountId,
		"actualPayDues": "1",
		"orderNum": orderNum,
		"partyDuesType": partyDuesType,
		"paymentMethod": paymentMethod,
		"paymentType": paymentType
	};
	//security
	if(param.deptId == "" || !param.deptId) {
		mui.toast("线下支付请求失败");
		return;
	}
	//线下支付 linepay
	//	var lineurl="http://192.168.1.51:8080/admin/pay/app/read/doPay";
	var lineurl = apiurl + "/pay/app/read/doPay";
	//personal payment
	if(memberList) {
		param.memberList = memberList;
	}
	//request admin line defrayal;
	mui.ajax(lineurl, {
		data: param,
		dataType: 'json', //服务器返回json格式数据
		contentType: 'application/json',
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		crossDomain: true, //强制使用5+跨域
		success: function(data) {
			console.log("server success:" + data);
			callback();
		},
		error: function(xhr, type, errorThrown) {
			console.log("localtion mistake:" + xhr.status);
			console.log("localtion mistake:" + type);
			console.log("localtion mistake:" + errorThrown);
		}
	});
}

//数字以精度为2位最后的输出
function text(str) {
	//分两种大请况:1.整数输入    2.小数输入
	var str = (typeof str) == "string" ? str : JSON.stringify(str);
	var ins = 0;
	var flag = false;
	var strs = [];
	for(var i = 0; i < str.length; i++) {
		strs.push(str[i]);
		if(str[i] == "." || flag) {
			flag = true;
			if(ins == 2) {
				ins++;
				break;
			}
			ins++;
		}
	}
	if(ins == 2) {
		strs.push("0");
	}
	if(ins == 0) {
		strs.push(".00")
	}
	strs = strs.join("");
	return strs;
}

//数字以精度为1位最后的输出
function point1(str) {
	//分两种大请况:1.整数输入    2.小数输入
	var str10 = Math.round(str * 10);
	var newstr = str10 / 10;
	return newstr.toFixed(1);

}

function setPushNum(num) {
	var setting = plus.webview.getWebviewById('setting.html');
	var indexid = plus.webview.getLaunchWebview().id;
	var index = plus.webview.getWebviewById(indexid);
	var setNum = {
		nb: num
	}
	mui.fire(setting, 'addMsgsNumber', setNum);
	//mui.fire(index,'indexMsgNum', setNum);	
}

function getLoginAddress(loginInfo, callback) {
	if(isLoginLocation) {
		plus.nativeUI.showWaiting("正在定位...", {
			padlock: false
		});
		plus.geolocation.getCurrentPosition(function(position) {
			plus.nativeUI.closeWaiting();
			var codns = position.coords; //获取地理经纬度坐标信息
			console.log("获取到的经纬度" + codns.latitude + "sdafd" + codns.longitude)
			loginInfo.latitude = codns.latitude.toFixed(6);
			loginInfo.longitude = codns.longitude.toFixed(6);
			plus.nativeUI.closeWaiting();
			//定位完成执行回调
			callback(loginInfo);
		}, function(e) {
			//定位失败同样执行回调
			callback(loginInfo);
			//mui.toast("获取定位位置信息失败：" + e.message);
			plus.nativeUI.closeWaiting();
		}, { //参数设定
			timeout: 5000, //获取位置信息的超时时间
			provider: 'baidu'
		});
	} else
		callback(loginInfo);
}

function confirmLoginAlert() {
	var btnArray = ['否', '是'];
	var confirmTitle = "该操作需要登录，是否去登录？"
	mui.confirm(confirmTitle, '', btnArray, function(e) {
		if(e.index == 1) {
			openHtml("login.html", "/login.html");
		}
	})
}

function removeSpace(str){
	return str.replace(/\s+/g,"");
}

//检测网络改变,用于plus下
function netChange(hasNet,callback){
	document.addEventListener("netchange",onNetChange,false);
	function onNetChange(){
		var netStatus = false; 
		//NETSTATUS = false;
	 　　//获取当前网络类型
	 　　var nt = plus.networkinfo.getCurrentType();
	 　　switch(nt){
			case plus.networkinfo.CONNECTION_ETHERNET:
　　　　 	case plus.networkinfo.CONNECTION_WIFI:
	 　　　　　　
	 			netStatus = true;
	 			NETSTATUS = true;
	 			mui.toast("当前网络为WiFi");
	 　　　　　　break;
	 　　　　case plus.networkinfo.CONNECTION_CELL2G:
	 　　　　case plus.networkinfo.CONNECTION_CELL3G:
	 　　　　case plus.networkinfo.CONNECTION_CELL4G:
	 　　　　　
	 			netStatus = true;
	 			NETSTATUS = true;
	 			mui.toast("当前网络非WiFi,请注意使用。");
				break;
	 　　　　default:
	 　　　　　　mui.toast("当前网络连接已断开...");
	 			netStatus = false;
	 			NETSTATUS = false;
	 			//mui.toast("当前网络连接已断开...");
	 			break;
 　　	}
	 	//!hasNet && netStatus && current && current.reload();	
	 	!hasNet && netStatus && callback && callback();
	 	console.log(NETSTATUS+"NETSTATUS");
	}
}

//检测当前网络状态,用于muiPlus下
function netStatus(hasNet){
	var types = {};
	types[plus.networkinfo.CONNECTION_UNKNOW] = "未知连接";
	types[plus.networkinfo.CONNECTION_NONE] = "没有连接";
	types[plus.networkinfo.CONNECTION_ETHERNET] = "以太网";
	types[plus.networkinfo.CONNECTION_WIFI] = "WiFi";
	types[plus.networkinfo.CONNECTION_CELL2G] = "Cellular 2G connection";
	types[plus.networkinfo.CONNECTION_CELL3G] = "Cellular 3G connection";
	types[plus.networkinfo.CONNECTION_CELL4G] = "Cellular 4G connection";
	var index = plus.networkinfo.getCurrentType();
	console.log( "Network: " + types[index]); 
	console.log("index"+index);
	NETSTATUS = (index == 1) ? false : true;
	console.log(NETSTATUS+"NETSTATUSC")
	return hasNet = (index == 1) ? false : true;
	
}

function getDocumentName(str){
	var	strr = str.substring(0, str.lastIndexOf('.'));
	return strr;
}

//获取未读消息通知数
function getTotalUnreadNum() {
	httpAjax('/message/app/selfMsgList', {
		"pageNum": 1,
		"pageSize": 100000,
		"account": getUserInfo().account_id
	}, function(data) {
		var totalUnread = 0;
		if(data.notViewTotle) {
			totalUnread = data.notViewTotle;
			console.log(totalUnread)
		}
		setPushNum(totalUnread);
	})
}
