/**
 * 推送服务
 */

//初始化推送监听，在plusReady里面调用
function initApns() {
	//console.log('initApnswww');
	document.addEventListener("plusready", function() {
		// 监听推送消息到达时的点击事件
		plus.runtime.setBadgeNumber(0);
		plus.push.setAutoNotification(true);
		//监听推送消息接收
		plus.push.addEventListener("click", function(msg) {
			//alert("click");
			alert("click" + JSON.stringify(msg));
			var usersInfo = getUserInfo().account_id;
			if(usersInfo == null || usersInfo == '') {
				return;
			}
			getTotalUnreadNum();
			try {
				mui.redirect("message.html", "pages/sys/msg/message.html");
			} catch(e) {
				openHtml("message.html", "pages/sys/msg/message.html");
			}
			//openHtml("message.html","pages/sys/msg/message.html");	    	
		}, false);

		// 监听在线消息事件,可处理透传消息
		plus.push.addEventListener("receive", function(msg) {
			//alert("receive");
			alert("recevie" + JSON.stringify(msg));
			var usersInfo = getUserInfo().account_id;
			if(usersInfo == null || usersInfo == '') {
				return;
			}
			getTotalUnreadNum();
			try {
				if(plus.os.name != "iOS") {
					try {
						mui.redirect("message.html", "pages/sys/msg/message.html");
					} catch(e) {
						openHtml("message.html", "pages/sys/msg/message.html");
					}
				} else {
					var content = "",
						title = "";
					//console.log(typeof(msg.payload)+msg.payload);
					if(typeof(msg.payload) == "string") {
						content = "您有一条新通知"
						title = msg.title;
					} else {
						content = msg.content;
						title = msg.title;
					}
					//console.log(content+title)
					mui.confirm(content, title, ['立即查看', '知道了'], function(e) {
						if(e.index > 0) return;
						try {
							mui.redirect("message.html", "pages/sys/msg/message.html");
						} catch(e) {
							openHtml("message.html", "pages/sys/msg/message.html");
						}
					});
				}
			} catch(e) {
				//openHtml("message.html", "pages/sys/msg/message.html");
			}
		}, false);
	}, false);
}

////推送执行方法
//function pushCallback(data) {
//  try {
//      alert(data.type);
//      if(data.type == 'openWindow') {
//           redirect("pages/sys/msg/message.html");
//      }
//
//  } catch(e) {
//      alert(e.message);
//  }
//}

//处理push的消息
function doPushMsg(msg) {
	if(msg) {
		if(msg.payload) {
			if(typeof(msg.payload) == "string") {
				//plus.nativeUI.alert(msg.payload );
			} else {
				var pd = JSON.stringify(msg.payload);
				//获取格式，待处理
			}
		}
	}
}