//加载基金列表模板
var treasureItem = document.getElementById('treasureItem').innerHTML;

mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				callback: pulldown
			},
			up: {
				contentrefresh: '正在加载...',
				callback: pullupRefresh
			}
	}
});

/**
 * 下拉刷新具体业务实现
 */
function pulldown() {
	setTimeout(function() {
		httpAjax('/article/app/read/list',{"code": '140',"pageNum":1,"pageSize":pageSize},function(data){
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			//渲染模板
			laytpl(treasureItem).render(list, function(html){
				$(".mui-table-view").innerHTML=html;  //prepend
			}); 
			
		});
	}, 1000);
}



/** 			   
 * 上拉加载具体业务实现
 */
var pageNum = 0;
var pageSize = 1;
function pullupRefresh() {
	setTimeout(function() {
		//获得百宝箱列表
		httpAjax('/article/app/read/list',{"code": '140',"pageNum":pageNum,"pageSize":pageSize},function(data){
			var list = data.data.records;
			var Pages = data.data.pages;//总页数
			var Current = data.data.current;//当前页
			pageNum =  Current < Pages ? Current+1 : Current;
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(Current == Pages); //参数为true代表没有更多数据了。
			//渲染模板
			laytpl(treasureItem).render(list, function(html){
				$(".mui-table-view").append(html);  //prepend
			}); 
		});
	}, 1000);
}


//查询详情
function viewArticle(id) { 
	plus.storage.setItem("article_id",id);
	httpAjax("/article/app/detail", {
		"id": id
	}, function(data) {
		openHtml("articleDetail.html", "/pages/cms/articleDetail.html", data.data)
	});
}

if (mui.os.plus) {
		
	mui.plusReady(function() {
		
		setTimeout(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 1000);
		var self = plus.webview.currentWebview();
		var newtitle=self.data;
		var title = document.getElementById("title");
		if(title!=null){
			title.innerHTML=newtitle;
		}
	});
} else {
	mui.ready(function() {
		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}
