//新闻列表
var initList = function(code) {
	var recommendListModel = document.getElementById('recommendList').innerHTML;
	mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				auto: false,
				callback: pulldownRefresh
			},
			up: {
				auto: true,
				contentrefresh: '正在加载...',
				callback: pullupRefresh
			}
		}
	});

	/**
	 * 下拉刷新具体业务实现
	 */
	function pulldownRefresh() {
		console.log('pullDownrefresh');
		if(NETSTATUS == false) {
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui.toast("当前无网络连接，请稍后再试！");
			return;
		} else {
				getDataAndShow(false, function(flag) {
				mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
				mui('#pullrefresh').pullRefresh().refresh(flag);
			});

			if(code == '01') {
				getSliderData();
				setTimeout(function() {
					//加载通知公告
					getNoticeData('08', function() {
						setTimeout(function() {
							var sH = $(".czw-lider").height();
							var tzH = $("#tzgg").outerHeight(true);
							$("#slider").css("top", (sH + tzH + 15) + 'px').show();
							$(".mui-pull-top-tips").css("top", (sH + tzH + 15) + 'px');
						}, 200);
					});
				}, 100);
			}
		}

	}

	/**
	 * 上拉加载具体业务实现
	 */
	function pullupRefresh() {
		//console.log('pullUpRefresh')
		if(NETSTATUS == false) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			mui.toast("当前无网络连接，请稍后再试！");
			return;
		} else {
			setTimeout(function() {
				getDataAndShow(true);
			}, 1000);
		}

	}

	var listUrl = '/article/app/read/list';
	var isMore = false;
	var sData = {
		code: code,
		pageSize: 10,
		pageNum: 0
	};

	var getDataAndShow = function(isAdd, callback) { //获取数据并渲染 上拉加载时isAdd为true
		isAdd ? sData.pageNum++ : sData.pageNum = 1;
		httpAjax(listUrl, sData, function(result) {
			if(!result) {
				return;
			}
			var list = result.data.records;
			var pages = result.data.pages; //总页数
			for(var i in list) {
				if(list[i].image) {
					loadImage(list[i], function(obj) {
						$('#' + obj.id).attr('src', obj.image);
					});
				}
			}
			laytpl(recommendListModel).render(list, function(html) {
				if(isAdd) {
					document.getElementById('listContent').innerHTML += html;
				} else {
					console.log(html);
					jQuery('#listContent').empty();
					document.getElementById('listContent').innerHTML = html;
				}
			});

			//跳转事件
			$(".articleid").off().on('tap', function() {
				viewDetail($(this).data("artid"));
			});

			isMore = sData.pageNum >= pages ? false : true;
			if(isAdd) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(!isMore);
			}
			callback && callback(isMore);
		});
	}

	//查询详情
	function viewDetail(id) {
		plus.storage.setItem("article_id", id);
		httpAjax("/article/app/detail", {
			"id": id
		}, function(data) {
			openHtml("articleDetail.html", "/pages/cms/articleDetail.html", data);
		});
	}
}

function netChangeAndData(code) {
	var hasNet = netStatus(true);
	netChange(hasNet, function() {
		var current = plus.webview.currentWebview();
		initList(code);
		console.log("subpages-net");
		if(mui('#pullrefresh')) {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		}
		//mui('#pullrefresh').pu;
		//current.reload();
	});
	initList(code);
}