//0和1 的末尾命名   只适用于  当前登录人为部长的情况下    同时0表示未回复    1表示已处理

//加载消息列表模板
var emailList = document.getElementById('emailList').innerHTML; //写的信 - 非部长
var emailList0 = document.getElementById('emailList0').innerHTML; //我的信 - 部长 - 未回复  
var emailList1 = document.getElementById('emailList1').innerHTML; //我的信 - 部长 - 已处理

//部长相关参数---star
var status = 0;
var url = '/partyDeptEmail/read/app/emailToDeptList';
//---end

//初始化板块  判断是否为部长
mui.plusReady(function(){ 
	
	httpAjax('/partyDeptEmail/read/app/is','',function(data){
		var flag = data.data;
		if(flag){  //登录人是部长
			
			$("#yes").show();
		    initPageForYes();
		
		}else{
		
			$("#no").show();
			initPageForNo();
		
		}
	});
	
});


//初始化页面   非部长操作
function initPageForNo(){
	mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {callback: pulldownRefresh},
			up: {
				contentrefresh: '正在加载...',
				callback: pullupRefreshForNo
			}
		}
	});
	
	if (mui.os.plus) {
		mui.plusReady(function() {
			setTimeout(function() {
				mui('#pullrefresh').pullRefresh().pullupLoading();
			}, 1000);
	
		});
	} else {
		mui.ready(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		});
	}
}

//初始化请求    部长操作
var pageSizeForYes = 1;
function initPageForYes(){
	
	var list_0 = $("#list_0");//获得未回复容器
	var list_1 = $("#list_1");
	
	//初始化请求未回复数据  默认请求未回复的第一页
	httpAjax(url,{"pageNum":1,"pageSize":pageSizeForYes,"deptId":getUserInfo().deptId,"status":0},function(data){
			var list = data.data.records;
			var Pages = data.data.pages;//总页数
			var Current = data.data.current;//当前页
			//渲染模板
			laytpl(emailList0).render(list, function(html){
				list_0.append(html);  //prepend
			}); 
			
			//初始化请求已处理数据  默认请求已处理的第一页
			httpAjax(url,{"pageNum":1,"pageSize":pageSizeForYes,"deptId":getUserInfo().deptId,"status":1},function(data){
				var list = data.data.records;
				var Pages = data.data.pages;//总页数
				var Current = data.data.current;//当前页
				//渲染模板
				laytpl(emailList1).render(list, function(html){
					list_1.append(html);  //prepend
				}); 
				
				//两个初始化完成后  再初始化框架
				initDeptYes(list_0,list_1);
				
			});
	});
}


//-----------------------------写信相关---------------star///////------------------
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		var table = document.body.querySelector('.mui-table-view');
		var cells = document.body.querySelectorAll('.mui-table-view-cell');
		for (var i = cells.length, len = i + 3; i < len; i++) {
			var li = document.createElement('li');
			li.className = 'mui-table-view-cell';
			li.innerHTML = '<a class="mui-navigate-right">Item ' + (i + 1) + '</a>';
			//下拉刷新，新纪录插到最前面；
			table.insertBefore(li, table.firstChild);
		}
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
	}, 1500);
}
/** 			   
 * 上拉加载具体业务实现
 */
var pageNumForNo = 1;
var pageSizeForNo = 1;
function pullupRefreshForNo() {
	setTimeout(function() {
		var table = document.body.querySelector('.mui-table-view');
		var cells = document.body.querySelectorAll('.mui-table-view-cell');
		//获得通知列表
		httpAjax(url,{"pageNum":pageNumForNo,"pageSize":pageSizeForNo,"userId":getUserInfo().id},function(data){
			var list = data.data.records;
			var Pages = data.data.pages;//总页数
			var Current = data.data.current;//当前页
			pageNumForNo =  Current < Pages ? Current+1 : Current;
			
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(Current == Pages || Pages == 0); //参数为true代表没有更多数据了。
			
			//渲染模板
			laytpl(emailList).render(list, function(html){
				$(".mui-table-view").append(html);  //prepend
			}); 
		});
	}, 1000);
}
//-----------------------------写信相关---------------end///////------------------






//-----------------------------收信相关---------------star------------------

//初始化 框架
function initDeptYes(list_0,list_1){
	//默认初始化
	mui.init();
	
	(function($) {
		//阻尼系数
		var deceleration = mui.os.ios?0.003:0.0009;
		$('.mui-scroll-wrapper').scroll({
			bounce: false,
			indicators: true, //是否显示滚动条
			deceleration:deceleration
		});
		$.ready(function() {
			//循环初始化所有下拉刷新，上拉加载。
			$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
				$(pullRefreshEl).pullToRefresh({
					/*down: {
						callback: function() {
							var self = this;
							setTimeout(function() {
								var ul = self.element.querySelector('.mui-table-view');
								ul.insertBefore(createFragment(ul, index, 10, true), ul.firstChild);
								self.endPullDownToRefresh();
							}, 1000);
						}
					},*/
					up: {
						callback: function() {
							//alert(index);  //0:未处理   1：已处理
							var self = this;
							setTimeout(function() {
								if(index == 0){
									status = 0;
									findNoReplyForYes(self,list_0);
								}else{
									status = 1;
									findHasReplyForYes(self,list_1);
								}
							}, 1000);
						}
					}
				});
			});
		});
		
	})(mui);
}

//未回复
var pageNum0 = 2;
function findNoReplyForYes(self,list_0){
	httpAjax(url,{"pageNum":pageNum0,"pageSize":pageSizeForYes,"deptId":getUserInfo().deptId,"status":status},function(data){
		var list = data.data.records;
		var Pages = data.data.pages;//总页数
		var Current = data.data.current;//当前页
		pageNum0 =  Current < Pages ? Current+1 : Current;
		//渲染模板： 由于初始化就请求过一次 ，所以这里如果为1 则表明只有当前这页数据 ，所以就不再进行模板渲染。
		if(pageNum0 != 1){
			laytpl(emailList0).render(list, function(html){
				list_0.append(html); //prepend
			});
		}
		
		if(list == ''){ //没有数据的情况下就不存在Current等参数 所以直接设置为true
			self.endPullUpToRefresh(true); 
		}else{
			self.endPullUpToRefresh(Current == Pages); //为true表示没有更多数据了	
		}
	});
}

//已处理
var pageNum1 = 2;
function findHasReplyForYes(self,list_1){
	//获得通知列表
	httpAjax(url,{"pageNum":pageNum1,"pageSize":pageSizeForYes,"deptId":getUserInfo().deptId,"status":status},function(data){
		var list = data.data.records;
		log(JSON.stringify(data));
		var Pages = data.data.pages;//总页数
		var Current = data.data.current;//当前页
		pageNum1 =  Current < Pages ? Current+1 : Current;
		
		//渲染模板： 由于初始化就请求过一次 ，所以这里如果为1 则表明只有当前这页数据 ，所以就不再进行模板渲染。
		if(pageNum1 != 1 ){
			laytpl(emailList1).render(list, function(html){
				log(html);
				list_1.append(html);  //prepend
			});			
		}
		
		if(list == ''){ //没有数据的情况下就不存在Current等参数 所以直接设置为true
			self.endPullUpToRefresh(true); 
		}else{
			self.endPullUpToRefresh(Current == Pages); //为true表示没有更多数据了	
		}
	});
}


//-----------------------------收信相关---------------end------------------



//-----------------------------其他功能相关-----------------------//////////---------------

//传递详情信息
function detailEmail(s){
	httpAjax('/partyDeptEmail/read/app/detail',{"id":s},function(data){
		openHtml('emailDetail.html','emailDetail.html',data);
	});
}

//我收到的信
function detailEmailForMe(s){
	log(s);
	var detaiEmaillForMe = s.split("-:-");
	
	openHtml('emailDetailForMe.html','emailDetailForMe.html',detaiEmaillForMe);
}
	
//跳转给部长写信页面
function toAddPage(){
	openHtml('addEmail.html','addEmail.html','');
}
