//加载消息列表模板
var msgList = document.getElementById('msgList').innerHTML;
//console.log(JSON.stringify(getUserInfo()));
mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		},
		down: {
			contentrefresh: '正在刷新...',
			callback: pulldownRefresh
		}
	}
});
//mui.plusReady(function(){
//	getNewUnreadNum();
//})

/** 			   
 * 上拉加载具体业务实现
 */
var pageNum = 0;
var pageSize = 10;

function pullupRefresh() {
	setTimeout(function() {
		var table = document.body.querySelector('.mui-table-view');
		var cells = document.body.querySelectorAll('.mui-table-view-cell');
		//获得通知列表
		httpAjax('/message/app/selfMsgList', {
			"pageNum": pageNum,
			"pageSize": pageSize,
			"account": getUserInfo().account_id
		}, function(data) {
			var list = data.data.records;
			//console.log(JSON.stringify(list));
			//console.log("data.data.pages:"+data.data.pages);
			//console.log("data.data.current:"+data.data.current)
			var Pages = data.data.pages; //总页数
			var Current = data.data.current; //当前页
			pageNum = Current < Pages ? Current + 1 : Current;
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(Pages == Current || Pages < Current); //参数为true代表没有更多数据了。
			//渲染模板
			laytpl(msgList).render(list, function(html) {
				$(".mui-table-view").append(html); //prepend
				$(".mui-pull-bottom-pocket.mui-block").eq(0).css("visibility", "visible");
				addViewDetailEvent();
			});
		});
	}, 1000);
}

function pulldownRefresh() {
	pageNum = 0;
	setTimeout(function() {
		var table = document.body.querySelector('.mui-table-view');
		var cells = document.body.querySelectorAll('.mui-table-view-cell');
		//获得通知列表

		httpAjax('/message/app/selfMsgList', {
			"pageNum": pageNum,
			"pageSize": pageSize,
			"account": getUserInfo().account_id
		}, function(data) {
			var isMore = data.data.current < data.data.total ? true : false;
			var list = data.data.records;
			//console.log(JSON.stringify(list));
			var Pages = data.data.pages; //总页数
			var Current = data.data.current; //当前页
			//console.log("data.data.pages:"+data.data.pages);
			//console.log("data.data.current:"+data.data.current)
			pageNum = Current < Pages ? Current + 1 : Current;
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().refresh(isMore);
			//渲染模板
			laytpl(msgList).render(list, function(html) {
				$(".mui-table-view").html(html); //prepend
				$(".mui-pull-bottom-pocket.mui-block").eq(0).css("visibility", "visible");
				addViewDetailEvent();
			});
		});
	}, 1000);
}

if(mui.os.plus) {
	mui.plusReady(function() {
		if(getUserInfo().account_id) {
			setTimeout(function() {
				mui('#pullrefresh').pullRefresh().pullupLoading();
			}, 1000);
		}
		getTotalUnreadNum();
	});

} else {
	mui.ready(function() {
		if(getUserInfo().account_id) {
			mui('#pullrefresh').pullRefresh().pullupLoading();
			getTotalUnreadNum();
		}
	});
}

//传递消息详情信息
function detailMsg(s) {
	msgContent = s.split("-:-");
	//console.log(msgContent);
	openHtml('messageDetail.html', 'messageDetail.html', msgContent);
}

function addViewDetailEvent() {
	$(".articleid").off().on('tap', function() {
		if($(this).hasClass("unread")) {
			$(this).removeClass("unread");
		}
		resetIsreadStatus($(this).data("messid"));
		detailMsg($(this).data("artcontent"));
	});
}

function resetIsreadStatus(id) {
	//console.log("resetIsreadStatus"+id);
	httpAjax('/message/app/updateView', {
		"id": id
	}, function(data) {
		//if(data)
		getTotalUnreadNum();
	})
}

//function getNewUnreadNum() {
//	httpAjax('/message/app/selfMsgList', {
//		"pageNum": 1,
//		"pageSize": 999,
//		"account": getUserInfo().account_id
//	}, function(data) {
//		//console.log("hhhajsdfhakjdf");
//		//console.log(JSON.stringify(data));
//		var totalUnread = 0;
//		if(data.notViewTotle) {
//			totalUnread = data.notViewTotle;
//		}
//		//localStorage.setItem('$msgsUnread', totalUnread );		
//		plus.runtime.setBadgeNumber(totalUnread);
//		//		var personSpan = document.getElementById('personSpan');
//		//		personSpan.innerHTML = '<span class="mui-badge mui-badge-inverted" >' + totalUnread + '</span>';
//		var setting = plus.webview.getWebviewById('setting.html');
//		var indexid = plus.webview.getLaunchWebview().id;
//		//console.log("indexid"+indexid);
//		var index = plus.webview.getWebviewById(indexid);
//		var setNum = {
//			nb: totalUnread
//		};
//		mui.fire(setting, 'addMsgsNumber', setNum);
//		//mui.fire(index,'indexMsgNum', setNum);
//	})
//}